<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Model;

class QuizBlueprint extends Model
{
    protected $fillable = ['quiz_id','question_topic_id','difficulty','question_count','score_per_question'];
    public function quiz(){ return $this->belongsTo(Quiz::class); }
    public function topic(){ return $this->belongsTo(QuestionTopic::class,'question_topic_id'); }
}
